Bug 29680 - Reports menu 'Show SQL code' wrong border radius
Summary: Reports menu 'Show SQL code' wrong border radius
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-10 20:38 UTC by Fridolin Somers
Modified: 2022-02-07 11:53 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.02,21.05.08


Attachments
Bug 29680: Change markup to correct button radius (1.42 KB, patch)
2021-12-13 14:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29680: Change markup to correct button radius (1.48 KB, patch)
2021-12-15 23:22 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29680: Change markup to correct button radius (1.53 KB, patch)
2021-12-17 13:59 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 29680: Change markup to correct button radius (1.58 KB, patch)
2021-12-17 15:26 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-12-10 20:38:48 UTC
In reports menu the 'Show SQL code' button has no right border radius.
And if you click you see 'Hide SQL code' button has no left border radius.

This is because these are two buttons in a group, hidden or displayed.
The CSS ruling border radius is from bootstrap.min.css:
.btn-group > .btn:first-child:not(:last-child):not(.dropdown-toggle) 0px

A way to fix is to create 2 button groups.
Comment 1 Owen Leonard 2021-12-13 14:17:02 UTC
Created attachment 128466 [details] [review]
Bug 29680: Change markup to correct button radius

This patch alters the markup around the "Show SQL/Hide SQL" buttons so
that they are not styled as if they are a button group.

To test, apply the patch and run an SQL report.

The "Show SQL code" button should be styled consistently with other
single buttons in the toolbar. Click it to test that the "Hide SQL code"
button is also correct.
Comment 2 Lucas Gass 2021-12-15 23:22:43 UTC
Created attachment 128579 [details] [review]
Bug 29680: Change markup to correct button radius

This patch alters the markup around the "Show SQL/Hide SQL" buttons so
that they are not styled as if they are a button group.

To test, apply the patch and run an SQL report.

The "Show SQL code" button should be styled consistently with other
single buttons in the toolbar. Click it to test that the "Hide SQL code"
button is also correct.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Andreas Roussos 2021-12-17 13:59:02 UTC
Created attachment 128659 [details] [review]
Bug 29680: Change markup to correct button radius

This patch alters the markup around the "Show SQL/Hide SQL" buttons so
that they are not styled as if they are a button group.

To test, apply the patch and run an SQL report.

The "Show SQL code" button should be styled consistently with other
single buttons in the toolbar. Click it to test that the "Hide SQL code"
button is also correct.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Andreas Roussos <a.roussos@dataly.gr>
Comment 4 Tomás Cohen Arazi 2021-12-17 15:26:33 UTC
Created attachment 128677 [details] [review]
Bug 29680: Change markup to correct button radius

This patch alters the markup around the "Show SQL/Hide SQL" buttons so
that they are not styled as if they are a button group.

To test, apply the patch and run an SQL report.

The "Show SQL code" button should be styled consistently with other
single buttons in the toolbar. Click it to test that the "Hide SQL code"
button is also correct.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Andreas Roussos <a.roussos@dataly.gr>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Fridolin Somers 2022-01-05 23:51:17 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-01-07 11:32:08 UTC
Pushed to 21.11.x for 21.11.02
Comment 7 Andrew Fuerste-Henry 2022-01-10 19:54:06 UTC
Pushed to 21.05.x for 21.05.08
Comment 8 Victor Grousset/tuxayo 2022-02-07 11:53:02 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.